# Uses of Class
org.eclipse.birt.core.framework.PlatformConfig

Packages that use PlatformConfig
Package
Description
org.eclipse.birt.core.framework
Defines the platform interfaces that allow BIRT to be run in Eclipse and server environments.
org.eclipse.birt.core.framework.osgi

## Uses of PlatformConfig in org.eclipse.birt.core.framework

Fields in org.eclipse.birt.core.framework declared as PlatformConfig
Modifier and Type
Field
Description
`protected PlatformConfig`
PlatformServletContext.`platformConfig`
Methods in org.eclipse.birt.core.framework with parameters of type PlatformConfig
Modifier and Type
Method
Description
`protected static PlatformLauncher`
Platform.`createPlatformLauncher(PlatformConfig config)`
`static void`
Platform.`initialize(PlatformConfig config)`
Deprecated.
since BIRT 2.1
`static void`
Platform.`startup(PlatformConfig config)`
startup the platform.
`abstract void`
PlatformLauncher.`startup(PlatformConfig config)`
Constructors in org.eclipse.birt.core.framework with parameters of type PlatformConfig
Modifier
Constructor
Description
``
`PlatformFileContext(PlatformConfig config)`
PlatformFileContext Constructor( String , IPlatformConfig )

## Uses of PlatformConfig in org.eclipse.birt.core.framework.osgi

Methods in org.eclipse.birt.core.framework.osgi with parameters of type PlatformConfig
Modifier and Type
Method
Description
`void`
OSGILauncher.`startup(PlatformConfig config)`